CREATE TABLE social.restricted_users (
    id bigserial PRIMARY KEY,
    uid bigint NOT NULL,
    restricted_at timestamp with time zone NOT NULL DEFAULT NOW(),
    restriction_reason text NOT NULL
);

CREATE UNIQUE INDEX restricted_users_uid_idx ON social.restricted_users USING btree(uid);
